@echo off

rem %~dp0 is name of current script under NT
set _APP_HOME=%~dp0
rem : operator works similar to make : operator
set _APP_HOME=%_APP_HOME:\bin\=%


reg add HKLM\Software\Microsoft\Windows\CurrentVersion\Run /v HandPunchMW /t REG_SZ /d %_APP_HOME%Start_MW_as_Application_Hide_Console.cmd
pause